GroovyRowResult (Groovy 3.0.9)

Package groovy.sql

## Class GroovyRowResult

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.sql.GroovyRowResult

- All Implemented Interfaces:
    `GroovyObject`, `Map`

      public class GroovyRowResult
      extends GroovyObjectSupport
      implements Map

  Represents an extent of objects. It's primarily used by methods of Groovy's `Sql` class to return `ResultSet` data in map form; allowing access to the result of a SQL query by the name of the column, or by the column number.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroovyRowResult​(Map result)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `boolean` | `containsKey​(Object key)` | Checks if the result contains (ignoring case) the given key.
    `boolean` | `containsValue​(Object value)` |
    `Set<Map.Entry>` | `entrySet()` |
    `boolean` | `equals​(Object o)` |
    `Object` | `get​(Object property)` | Find the property value for the given name (ignoring case).
    `Object` | `getAt​(int index)` | Retrieve the value of the property by its index.
    `Object` | `getProperty​(String property)` | Retrieve the value of the property by its (case-insensitive) name.
    `int` | `hashCode()` |
    `boolean` | `isEmpty()` |
    `Set` | `keySet()` |
    `Object` | `put​(Object key, Object value)` | Associates the specified value with the specified property name in this result.
    `void` | `putAll​(Map t)` | Copies all of the mappings from the specified map to this result.
    `Object` | `remove​(Object rawKey)` |
    `int` | `size()` |
    `String` | `toString()` |
    `Collection` | `values()` |

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, setMetaClass`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface groovy.lang.GroovyObject

      `invokeMethod, setProperty`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### GroovyRowResult

          public GroovyRowResult​(Map result)

  - ### Method Detail

    - #### getProperty

          public Object getProperty​(String property)

      Retrieve the value of the property by its (case-insensitive) name.
      Specified by:
        `getProperty` in interface `GroovyObject`
      Parameters:
        `property` - is the name of the property to look at
      Returns:
        the value of the property

    - #### getAt

          public Object getAt​(int index)

      Retrieve the value of the property by its index. A negative index will count backwards from the last column.
      Parameters:
        `index` - is the number of the column to look at
      Returns:
        the value of the property

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Map`

    - #### containsKey

          public boolean containsKey​(Object key)

      Checks if the result contains (ignoring case) the given key.
      Specified by:
        `containsKey` in interface `Map`
      Parameters:
        `key` - the property name to look for
      Returns:
        true if the result contains this property name

    - #### containsValue

          public boolean containsValue​(Object value)

      Specified by:
        `containsValue` in interface `Map`

    - #### entrySet

          public Set<Map.Entry> entrySet()

      Specified by:
        `entrySet` in interface `Map`

    - #### equals

          public boolean equals​(Object o)

      Specified by:
        `equals` in interface `Map`
      Overrides:
        `equals` in class `Object`

    - #### get

          public Object get​(Object property)

      Find the property value for the given name (ignoring case).
      Specified by:
        `get` in interface `Map`
      Parameters:
        `property` - the name of the property to get
      Returns:
        the property value

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Map`
      Overrides:
        `hashCode` in class `Object`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Map`

    - #### keySet

          public Set keySet()

      Specified by:
        `keySet` in interface `Map`

    - #### put

          public Object put​(Object key,
                            Object value)

      Associates the specified value with the specified property name in this result.
      Specified by:
        `put` in interface `Map`
      Parameters:
        `key` - the property name for the result
        `value` - the property value for the result
      Returns:
        the previous value associated with `key`, or `null` if there was no mapping for `key`. (A `null` return can also indicate that the map previously associated `null` with `key`.)

    - #### putAll

          public void putAll​(Map t)

      Copies all of the mappings from the specified map to this result. If the map contains different case versions of the same (case-insensitive) key only the last (according to the natural ordering of the supplied map) will remain after the `putAll` method has returned.
      Specified by:
        `putAll` in interface `Map`
      Parameters:
        `t` - the mappings to store in this result

    - #### remove

          public Object remove​(Object rawKey)

      Specified by:
        `remove` in interface `Map`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Map`

    - #### values

          public Collection values()

      Specified by:
        `values` in interface `Map`